<?php
// config.inc

// Define all global application constants
define('__APP_NAME', 			'phpGuildmaster');
define('__APP_VERSION', 		'.01');
define('__SITE_BASE_URL', 		'');
define('__SITE_ENTRY_PAGE',		'index.php');
define('__HEADER_IMG',			'img/guildmaster_logo.png');
define('__MODULE', "mod" );
define('__ACTION', "act" );
define('__DEBUGON', 0);

define('__DIR_ABS_JAVASCRIPT',	'');
// Database constants
define('__DB',					'');
define('__DB_HOST',				'');
define('__DB_USER', 			'');
define('__DB_PASS',				'');

// Session constants
define('__VALID_USER',			'isvaliduser');
define('__PERMISSIONS',			'permissions');

// Search constants
define('__MAX_DEED_RESULTS',	5);
define('__MAX_RESPON_RESULTS', 10);
define('__MAX_MEMBER_RESULTS', 10);

// Smarty template engine constants
define('SMARTY_DIR', 			'');
define('SMARTY_TEMPLATE_DIR', 	'');
define('SMARTY_COMPILE_DIR', 	'');
define('SMARTY_CONFIG_DIR', 	'');
define('SMARTY_CACHE_DIR', 		'');






// Action Constants
define('__DEED',					'deed');
define('__DEED_SEARCH', 			'search');
define('__DEED_NEW',				'new');
define('__DEED_ADD_NEW',			'addnew');
define('__DEED_EDIT',				'edit');
define('__DEED_UPDATE', 			'update');
define('__DEED_DELETE',				'delete');

define('__RESPON',					'respon');
define('__RESPON_SEARCH',			'search');
define('__RESPON_NEW',				'new');
define('__RESPON_ADD_NEW',			'addnew');
define('__RESPON_EDIT',				'edit');
define('__RESPON_UPDATE',			'update');
define('__RESPON_DELETE',			'delete');

define('__MEMBER',					'member');
define('__MEMBER_SEARCH',			'search');
define('__MEMBER_EDIT',				'editmember');
define('__MEMBER_UPDATE',			'updatemember');
define('__MEMBER_ALIAS_EDIT',		'aliasedit');
define('__MEMBER_ALIAS_DELETE', 	'aliasdelete');
define('__MEMBER_ALIAS_UPDATE',		'aliasupdate');
define('__MEMBER_ALIAS_SETASMAIN',  'aliassetasmain');
define('__MEMBER_ALIAS_NEW',		'aliasnew');
define('__MEMBER_ALIAS_INSERT_NEW',	'insertnewalias');
define('__MEMBER_NEW',				'new');
define('__MEMBER_INSERT_NEW',		'insertnewmember');
define('__MEMBER_READ_NOTE',		'readnote');
define('__MEMBER_SELECT_DEEDLOG_DEEDS', 'selectmemberdeeds');
define('__MEMBER_INSERT_DEEDLOG_DEEDS', 'insertmemberdeeds');
define('__MEMBER_SELECT_RESPONS',	'selectrespons');
define('__MEMBER_INSERT_RESPONS',	'insertrespons');

define('__RANK',					'rank');
define('__RANK_LADDER',				'ladder');

// Context constants
define('__REQUEST',					'request');
define('__SESSION',					'session');
define('__DATAACCESS',				'dataaccess');
define('__MODEL',					'model');
define('__FRONTCONTROLLER',			'frontcontroller');
define('__CONTROLLER',				'controller');
define('__TIMER',					'timer');
define('__FEEDBACK',				'feedback');
?>
